classification
Title: Additional dependencies and rule for `make regen-all`
Type: enhancement Stage: patch review
Components: Build Versions: Python 3.7
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, ncoghlan, serhiy.storchaka, vstinner, zach.ware
Priority: normal Keywords: patch

Created on 2017-06-12 13:43 by serhiy.storchaka, last changed 2018-02-18 01:27 by zach.ware.

Pull Requests
URL Status Linked Edit
PR 5671 merged zach.ware, 2018-02-14 02:11
PR 5679 closed zach.ware, 2018-02-14 04:57
PR 5724 merged miss-islington, 2018-02-17 23:59
PR 5725 merged zach.ware, 2018-02-18 00:05
Messages (6)
msg295781 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-06-12 13:43
`make regen-all` regenerates many generated files. But not all.

1. Argument Clinic files has their own make target, `make clinic`. Perhaps "clinic" should be a dependency for "regen-all".

2. Lib/token.py and Lib/symbols.py are generated from Include/token.h and Include/graminit.h.

3. Lib/keyword.py is generated from graminit.c.

4. Modules/sre_constants.h is generated from Lib/sre_constants.py.

5. Lib/stringprep.py is generated by mkstringprep.py (currently it is slightly outdated).

6. Objects/unicodetype_db.h, Objects/unicodetype_db.h and Modules/unicodename_db.h are generated by makeunicodedata.py (it downloads Unicode data from Internet).

Some generating scripts support Python 2.7 and even older versions. Some generating scripts (in particular Argument Clinic) need recent Python version (3.5+ or like).
msg295787 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2017-06-12 14:38
Agreed with all of the above, with the possible exception of 6; I don't think that we want `make regen-all` to require internet access.

Please make sure that the PR for this includes removing the explicit `make clinic` from .travis.yml.
msg295795 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2017-06-12 15:14
> I don't think that we want `make regen-all` to require internet access.

Agree. I mentioned it only because these files also are generated.
msg312289 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-02-17 23:59
New changeset d6ff8a7037903497eff95fa32bdac2b6adf71505 by Zachary Ware in branch 'master':
bpo-30638: Add clinic to `make regen-all` (GH-5671)
https://github.com/python/cpython/commit/d6ff8a7037903497eff95fa32bdac2b6adf71505
msg312291 - (view) Author: miss-islington (miss-islington) Date: 2018-02-18 00:24
New changeset d5be8e13b0ccf4473300d3a1672fc113702cf66c by Miss Islington (bot) in branch '3.7':
bpo-30638: Add clinic to `make regen-all` (GH-5671)
https://github.com/python/cpython/commit/d5be8e13b0ccf4473300d3a1672fc113702cf66c
msg312293 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2018-02-18 01:27
New changeset c1b8aedfbabf6e5460b09f4792d80f18051d43d3 by Zachary Ware in branch '3.6':
[3.6] bpo-30638: Add clinic to `make regen-all` (GH-5671)
https://github.com/python/cpython/commit/c1b8aedfbabf6e5460b09f4792d80f18051d43d3
History
Date User Action Args
2018-02-18 01:27:25zach.waresetmessages: + msg312293
2018-02-18 00:24:01miss-islingtonsetnosy: + miss-islington
messages: + msg312291
2018-02-18 00:05:43zach.waresetpull_requests: + pull_request5510
2018-02-17 23:59:14miss-islingtonsetpull_requests: + pull_request5509
2018-02-17 23:59:00zach.waresetmessages: + msg312289
2018-02-14 04:57:58zach.waresetpull_requests: + pull_request5475
2018-02-14 02:11:34zach.waresetkeywords: + patch
stage: patch review
pull_requests: + pull_request5473
2017-06-12 15:14:15serhiy.storchakasetmessages: + msg295795
2017-06-12 14:38:27zach.waresetnosy: + zach.ware
messages: + msg295787
2017-06-12 13:43:01serhiy.storchakacreate